@import "../../../../styles/constants";

.volume-container {
  position: relative;

  .settings-btn {
    position: absolute;
    left: -10px;
    top: -10px;
    z-index: 10;
    width: 50px;
    cursor: pointer;
    transition: 1s ease;

    &:hover {
      transform: scale(1.3, 1.3);
    }
  }

  ::ng-deep {
    .danger {
      position: relative;
      left: 75px;
      margin-bottom: 5px;
    }
  }

  .volume-item {
    padding: 0;
    overflow: hidden;
    background-color: white;
    border-radius: 10px;
    position: relative;
    width: 128px;
    box-sizing: border-box;
    height: 300px;
    transition: 0.5s ease;

    * {
      color: $font-color;
    }

    &:hover {
      box-shadow: 0px 0px 18px 0px lighten($primary-color, $amount: 10);
      .volume-img {
        transform: translateY(-70%);
      }
      .volume-info {
        transform: translateY(-48%);
      }
    }

    .volume-img {
      transition: 1s ease;
      overflow: hidden;
      height: 197px;
      width: 128px;
    }

    .volume-info {
      transition: 1s ease;
      height: 100%;
      box-sizing: border-box;
      padding: 5px;
      line-height: 25px;
    }
  }
}
